## gbp-tag

gbp-tag — Tag a Debian™ packages in a Git™ repository

## Synopsis

`gbp tag` [`--version`] [`--help`] [`--verbose`] [`--color=`[auto|on|off]] [`--color-scheme=``COLOR_SCHEME`] [`--ignore-branch`] [`--[no-]ignore-new`] [`--[no-]sign-tags`] [`--keyid=``GPG-KEYID`] [`--debian-branch=``BRANCH_NAME`] [`--debian-tag=``tag-format`] [`--debian-tag-msg=``tag-msg-format`] [`--posttag=``COMMAND`] [`--retag`]

## DESCRIPTION

gbp tag tags the current head commit appropriately. It will in order:

- Verify that it is being executed from the Debian branch.

- Verify that the repository doesn't contain any uncommitted source changes.

- Create a git tag using the information from `debian/changelog`.

- (Optionally) call a post tag hook.

## OPTIONS

`--version` | Print version of the program, i.e. version of the git-buildpackage suite
`-v`, `--verbose` | Verbose execution
`-h`, `--help` | Print help and exit
`--color=`[auto|on|off] | Whether to use colored output.

`--color-scheme=``COLOR_SCHEME`

Colors to use in output (when color is enabled). The format for COLOR_SCHEME is '<debug>:<info>:<warning>:<error>'. Numerical values and color names are accepted, empty fields imply the default color. For example, `--git-color-scheme=``'cyan:34::'` would show debug messages in cyan, info messages in blue and other messages in default (i.e. warning and error messages in red).

`--posttag=``COMMAND` | Execute `COMMAND` after creating the tag. Exported environment variables are: `GBP_TAG` (the name of the generated tag), `GBP_BRANCH` (the branch the package was build from) and `GBP_SHA1` (the sha1 of the commit the tag was created at).
`--[no-]sign-tags` | GPG sign all created tags.
`--keyid=``GPG-KEYID` | Use this keyid for gpg signing tags.
`--debian-tag=``TAG-FORMAT` | Use this tag format when tagging Debian™ versions, default is `debian/%(version)s`.
`--debian-tag-msg=``tag-msg-format` | Use this tag message format when signing Debian™ versions, default is `%(pkg)s Debian release %(version)s`
`--retag` | Don't fail tag operations if a tag with the same version already exists. This is a command line only option that cannot be specified via `gbp.conf`.
`--debian-branch`=`BRANCH_NAME` | If you're not on this branch when invoking gbp tag it will fail. Default is `master`. This is done to make sure you don't accidentally tag on the wrong branch. Not being on this branch will be ignored when using `--ignore-branch`.
`--ignore-branch` | Don't check if the current branch matches `DEBIAN-BRANCH`.
`--[no-]ignore-new` | Don't abort if there are uncommitted changes in the source tree or the current branch doesn't match the `DEBIAN-BRANCH`.

## EXAMPLES

Create a tag with the current defaults

          gbp tag

Create using a more upstreamish tag format:

          gbp tag --debian-tag='v%(version)s'

## CONFIGURATION FILES

Several `gbp.conf` files are parsed to set defaults for the above command-line arguments. See the gbp.conf(5) manpage for details.

## SEE ALSO

gbp-buildpackage(1), gbp-push(1), gbp.conf(5),

## AUTHOR

Guido Günther `<agx@sigxcpu.org>`